uniform sampler2D tex0;
varying vec2 texturecoordinate;
uniform float alpha;

void main(void)
{
	vec4 texel = texture2D(tex0, texturecoordinate);
	vec4 col = vec4(1.0, 1.0, 1.0, 1.0) * texel.r;
	gl_FragColor = col * alpha;

}